Package: org.codehaus.groovy.ant

## [Java] Class GroovycTask

- org.codehaus.groovy.ant.GroovycTask

- Compiles Groovy source files.

  Authors:
    Jason Dillon

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected boolean` | `force` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class CompileTaskSupport` | `classpath, config, destdir, failOnError, log, src`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected void` | `compile()`
    `` | `void` | `setForce(boolean flag)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class CompileTaskSupport` | `compile, createClassLoader, createClasspath, createConfiguration, createSrc, execute, getClasspath, getFailonerror, getSrcdir, handleException, setClasspath, setClasspathRef, setDestdir, setFailonerror, setSrcdir, validate`
    `class MatchingTask` | `add, setIncludesfile, addMajority, createExclude, addDifferent, addDepend, selectorCount, addDepth, addSize, hasSelectors, addAnd, addOr, selectorElements, createPatternSet, setExcludesfile, addContains, createInclude, addModified, addFilename, getSelectors, addCustom, addNone, addPresent, appendSelector, addNot, XsetItems, XsetIgnore, createIncludesFile, createExcludesFile, addContainsRegexp, setDefaultexcludes, setCaseSensitive, setIncludes, setExcludes, addType, addDate, setProject, setFollowSymlinks, addSelector, log, log, log, log, init, execute, getTaskName, maybeConfigure, getTaskType, setTaskType, setTaskName, setOwningTarget, getOwningTarget, setRuntimeConfigurableWrapper, getRuntimeConfigurableWrapper, bindToOwner, perform, reconfigure, clone, getLocation, setLocation, setDescription, getProject, getDescription, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Field Detail

    - #### protected boolean force

  - ### Method Detail

    - #### protected void compile()

    - #### public void setForce(boolean flag)